Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gab.opencv
Class Flow

    java.lang.Object
      gab.opencv.Flow

    public class Flow

extends Object

Constructor Summary
`Flow(processing.core.PApplet parent)`

Method Summary
`void` | `calculateOpticalFlow(Mat m)`
`void` | `draw()`
`processing.core.PVector` | `getAverageFlow()`
`processing.core.PVector` | `getAverageFlowInRegion(int x, int y, int w, int h)`
`processing.core.PVector` | `getFlowAt(int x, int y)`
`Mat` | `getFlowMat()`
`int` | `getIterations()`
`int` | `getLevels()`
`int` | `getPolyN()`
`double` | `getPolySigma()`
`double` | `getPyramidScale()`
`processing.core.PVector` | `getTotalFlow()`
`processing.core.PVector` | `getTotalFlowInRegion(int x, int y, int w, int h)`
`int` | `getWindowSize()`
`boolean` | `hasFlow()`
`int` | `height()`
`void` | `setIterations(int i)`
`void` | `setLevels(int n)`
`void` | `setPolyN(int n)`
`void` | `setPolySigma(double s)`
`void` | `setPyramidScale(double v)`
`void` | `setWindowSize(int s)`
`int` | `width()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Flow

    public Flow(processing.core.PApplet parent)

Method Detail

### width

    public int width()

### height

    public int height()

### hasFlow

    public boolean hasFlow()

### getFlowMat

    public Mat getFlowMat()

### calculateOpticalFlow

    public void calculateOpticalFlow(Mat m)

### getTotalFlowInRegion

    public processing.core.PVector getTotalFlowInRegion(int x,
                                                        int y,
                                                        int w,
                                                        int h)

### getAverageFlowInRegion

    public processing.core.PVector getAverageFlowInRegion(int x,
                                                          int y,
                                                          int w,
                                                          int h)

### getTotalFlow

    public processing.core.PVector getTotalFlow()

### getAverageFlow

    public processing.core.PVector getAverageFlow()

### getFlowAt

    public processing.core.PVector getFlowAt(int x,
                                             int y)

### draw

    public void draw()

### setPyramidScale

    public void setPyramidScale(double v)

### getPyramidScale

    public double getPyramidScale()

### setLevels

    public void setLevels(int n)

### getLevels

    public int getLevels()

### setWindowSize

    public void setWindowSize(int s)

### getWindowSize

    public int getWindowSize()

### setIterations

    public void setIterations(int i)

### getIterations

    public int getIterations()

### setPolyN

    public void setPolyN(int n)

### getPolyN

    public int getPolyN()

### setPolySigma

    public void setPolySigma(double s)

### getPolySigma

    public double getPolySigma()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Processing library opencv_processing by Greg Borenstein. (c) 2013